//
// CameraGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct CameraGet: Codable {

    public var name: String
    public var latitude: Decimal
    public var longitude: Decimal
    public var source: Data
    public var videoAnalytics: Data?
    public var videoStorage: Data?
    public var videoStreaming: Data?
    public var ptz: Data?
    public var placeId: Int
    public var onvifHost: String?
    public var onvifPort: Int?
    public var onvifLogin: String?
    public var onvifPassword: String?
    public var _id: UUID
    public var createdAt: Date
    public var updatedAt: Date
    public var snapshotId: UUID?
    public var snapshotUrl: String?
    public var origin: CameraOrigin?
    public var planId: Int?

    public init(name: String, latitude: Decimal, longitude: Decimal, source: Data, videoAnalytics: Data? = nil, videoStorage: Data? = nil, videoStreaming: Data? = nil, ptz: Data? = nil, placeId: Int, onvifHost: String? = nil, onvifPort: Int? = nil, onvifLogin: String? = nil, onvifPassword: String? = nil, _id: UUID, createdAt: Date, updatedAt: Date, snapshotId: UUID? = nil, snapshotUrl: String? = nil, origin: CameraOrigin? = nil, planId: Int? = nil) {
        self.name = name
        self.latitude = latitude
        self.longitude = longitude
        self.source = source
        self.videoAnalytics = videoAnalytics
        self.videoStorage = videoStorage
        self.videoStreaming = videoStreaming
        self.ptz = ptz
        self.placeId = placeId
        self.onvifHost = onvifHost
        self.onvifPort = onvifPort
        self.onvifLogin = onvifLogin
        self.onvifPassword = onvifPassword
        self._id = _id
        self.createdAt = createdAt
        self.updatedAt = updatedAt
        self.snapshotId = snapshotId
        self.snapshotUrl = snapshotUrl
        self.origin = origin
        self.planId = planId
    }

    public enum CodingKeys: String, CodingKey { 
        case name
        case latitude
        case longitude
        case source
        case videoAnalytics = "video_analytics"
        case videoStorage = "video_storage"
        case videoStreaming = "video_streaming"
        case ptz
        case placeId = "place_id"
        case onvifHost = "onvif_host"
        case onvifPort = "onvif_port"
        case onvifLogin = "onvif_login"
        case onvifPassword = "onvif_password"
        case _id = "id"
        case createdAt = "created_at"
        case updatedAt = "updated_at"
        case snapshotId = "snapshot_id"
        case snapshotUrl = "snapshot_url"
        case origin
        case planId = "plan_id"
    }

}
